Loading...
Searching...
No Matches
casacore::TaQLSelectNodeRep Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

Raw TaQL parse tree node defining a select command. More...

`#include <TaQLNodeDer.h>`

## Public Member Functions

| TaQLSelectNodeRep (const TaQLNode &columns, const TaQLMultiNode &withTables, const TaQLNode &where, const TaQLNode &groupby, const TaQLNode &having, const TaQLNode &sort, const TaQLNode &limitoff, const TaQLNode &giving, const TaQLMultiNode &dminfo)
| TaQLSelectNodeRep (const TaQLNode &columns, const TaQLMultiNode &withTables, const TaQLMultiNode &fromTables, const TaQLMultiNode &joins, const TaQLNode &where, const TaQLNode &groupby, const TaQLNode &having, const TaQLNode &sort, const TaQLNode &limitoff, const TaQLNode &giving, const TaQLMultiNode &dminfo)
virtual TaQLNodeResult | visit (TaQLNodeVisitor &) const override
| Visit a node for tree traversal.
virtual void | showDerived (std::ostream &os) const override
virtual void | save (AipsIO &aio) const override
| Save the object.
Public Member Functions inherited from casacore::TaQLQueryNodeRep
| TaQLQueryNodeRep (int nodeType)
void | setBrackets ()
void | setNoExecute ()
void | setFromExecute ()
Bool | getBrackets () const
Bool | getNoExecute () const
Bool | getFromExecute () const
virtual void | show (std::ostream &os) const override
| Print the object in an ostream.
Public Member Functions inherited from casacore::TaQLNodeRep
| TaQLNodeRep (int nodeType)
| Constructor for derived classes specifying the type.
virtual | ~TaQLNodeRep ()
| TaQLNodeRep (const TaQLNodeRep &)=delete
| Letter objects cannot be copied.
TaQLNodeRep & | operator= (const TaQLNodeRep &)=delete
char | nodeType () const
| Get the node type of the derived class.
const TaQLStyle & | style () const
| Get the TaQL style.
String | addEscape (const String &str) const
| Add escape characters to a table name where needed.

## Static Public Member Functions

static TaQLNode | restore (AipsIO &aio)
Static Public Member Functions inherited from casacore::TaQLNodeRep
static String | checkDataType (const String &)
| Check the data type string and return its standard form.

## Public Attributes

TaQLNode | itsColumns
TaQLMultiNode | itsWith
TaQLMultiNode | itsTables
TaQLMultiNode | itsJoins
TaQLNode | itsWhere
TaQLNode | itsGroupby
TaQLNode | itsHaving
TaQLNode | itsSort
TaQLNode | itsLimitOff
TaQLNode | itsGiving
TaQLMultiNode | itsDMInfo

## Additional Inherited Members

Protected Member Functions inherited from casacore::TaQLQueryNodeRep
void | saveSuper (AipsIO &aio) const
void | restoreSuper (AipsIO &aio)

## Detailed Description

Raw TaQL parse tree node defining a select command.

### Intended use:

Internal

### Review Status

Test programs:
  tTaQLNode

### Prerequisite

- TaQLNodeRep

### Synopsis

This class is a TaQLNodeRep holding the different parts of a select expression. It also holds flags telling if and how the select command must be executed when the node is visited for TaQLNodeHandler.

Definition at line 789 of file TaQLNodeDer.h.

## Constructor & Destructor Documentation

## TaQLSelectNodeRep() [1/2]

casacore::TaQLSelectNodeRep::TaQLSelectNodeRep | ( | const TaQLNode & | columns,
|  | const TaQLMultiNode & | withTables,
|  | const TaQLNode & | where,
|  | const TaQLNode & | groupby,
|  | const TaQLNode & | having,
|  | const TaQLNode & | sort,
|  | const TaQLNode & | limitoff,
|  | const TaQLNode & | giving,
|  | const TaQLMultiNode & | dminfo )

## TaQLSelectNodeRep() [2/2]

casacore::TaQLSelectNodeRep::TaQLSelectNodeRep | ( | const TaQLNode & | columns,
|  | const TaQLMultiNode & | withTables,
|  | const TaQLMultiNode & | fromTables,
|  | const TaQLMultiNode & | joins,
|  | const TaQLNode & | where,
|  | const TaQLNode & | groupby,
|  | const TaQLNode & | having,
|  | const TaQLNode & | sort,
|  | const TaQLNode & | limitoff,
|  | const TaQLNode & | giving,
|  | const TaQLMultiNode & | dminfo )

## Member Function Documentation

## restore()

TaQLNode casacore::TaQLSelectNodeRep::restore | ( | AipsIO & | aio | ) |

static

## save()

virtual void casacore::TaQLSelectNodeRep::save | ( | AipsIO & | aio | ) | const

override virtual

Save the object.

Implements casacore::TaQLNodeRep.

## showDerived()

virtual void casacore::TaQLSelectNodeRep::showDerived | ( | std::ostream & | os | ) | const

override virtual

Implements casacore::TaQLQueryNodeRep.

## visit()

virtual TaQLNodeResult casacore::TaQLSelectNodeRep::visit | ( | TaQLNodeVisitor & |  | ) | const

override virtual

Visit a node for tree traversal.

Implements casacore::TaQLNodeRep.

## Member Data Documentation

## itsColumns

TaQLNode casacore::TaQLSelectNodeRep::itsColumns

Definition at line 808 of file TaQLNodeDer.h.

## itsDMInfo

TaQLMultiNode casacore::TaQLSelectNodeRep::itsDMInfo

Definition at line 818 of file TaQLNodeDer.h.

## itsGiving

TaQLNode casacore::TaQLSelectNodeRep::itsGiving

Definition at line 817 of file TaQLNodeDer.h.

## itsGroupby

TaQLNode casacore::TaQLSelectNodeRep::itsGroupby

Definition at line 813 of file TaQLNodeDer.h.

## itsHaving

TaQLNode casacore::TaQLSelectNodeRep::itsHaving

Definition at line 814 of file TaQLNodeDer.h.

## itsJoins

TaQLMultiNode casacore::TaQLSelectNodeRep::itsJoins

Definition at line 811 of file TaQLNodeDer.h.

## itsLimitOff

TaQLNode casacore::TaQLSelectNodeRep::itsLimitOff

Definition at line 816 of file TaQLNodeDer.h.

## itsSort

TaQLNode casacore::TaQLSelectNodeRep::itsSort

Definition at line 815 of file TaQLNodeDer.h.

## itsTables

TaQLMultiNode casacore::TaQLSelectNodeRep::itsTables

Definition at line 810 of file TaQLNodeDer.h.

## itsWhere

TaQLNode casacore::TaQLSelectNodeRep::itsWhere

Definition at line 812 of file TaQLNodeDer.h.

## itsWith

TaQLMultiNode casacore::TaQLSelectNodeRep::itsWith

Definition at line 809 of file TaQLNodeDer.h.

The documentation for this class was generated from the following file:

- tables/TaQL/TaQLNodeDer.h